View Issue Details

IDProjectCategoryView StatusLast Update
0019167MediaMonkey 5Install/Configpublic2022-06-24 22:17
Reporterpeke Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionreopened 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019167: OS integration config: String change from MediaMonkey to MediaMonkey 5
DescriptionIn MM OS integration we should change MediaMonkey to MediaMonkey 5 in order not to confuse things when both MM4 and MM5 are installed.
Tagstodoc-KB
Fixed in build2652

Relationships

related to 0019146 closedpeke Play Now fails from File Explorer 

Activities

peke

2022-06-13 13:53

developer  

image.png (15,046 bytes)   
image.png (15,046 bytes)   

Ludek

2022-06-13 15:01

developer   ~0068503

Seeing that it used to be there, but Petr removed it to not break localization in course of #17424

I can append just the ' 5' appendinx to not break it.

=>
Fixed in 5.0.4.2652
image-2.png (17,927 bytes)   
image-2.png (17,927 bytes)   

peke

2022-06-13 20:57

developer   ~0068513

As talked offiline I wonder if it would be better to Use "......MediaMonkey')+' 5';" Rather than "......MediaMonkey 5');"?

That way Translation string would be unchanged 100% and it is easily change +' 5'; to +' 6';

Ludek

2022-06-13 21:01

developer   ~0068515

Yes, that's exactly what I already did, see SVN.

peke

2022-06-17 23:32

developer   ~0068590

Context menus are not updated after installing 2652/2653.

2. Play/Add were missing after 2653 install, but when I tried to even install older versions (On top Of existing) I can't seams to get them back. Only way to get them is to uninstall both MM4 and MM5 and install MM5/MM4

Is there way to force context update. Straneg Right click context on Folders were not affected even " 5" was not appended.

peke

2022-06-17 23:34

developer   ~0068591

image-4.png (58,481 bytes)   
image-4.png (58,481 bytes)   

Ludek

2022-06-20 17:54

developer   ~0068620

Last edited: 2022-06-20 18:00

View 4 revisions

Based on code you can either use /PREPAREASSOC command line param, like:
MediaMonkey.exe /PREPAREASSOC

EDIT: I checked the code in installer and it is called with the /PREPAREASSOC param, but only when you are not installing the version as Portable.
So probably you installed the Portable version in your tests?

Alternativelly go to Options > OS Integration , make a change there and accept the UAC prompt to update the registry, then it will be updated:
image-5.png (5,575 bytes)   
image-5.png (5,575 bytes)   

peke

2022-06-24 22:17

developer   ~0068691

Verified 2655

using MediaMonkey.exe /PREPAREASSOC fixed the context menu